// swift-tools-version:5.3
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
    name: "WebIdSdkUiKitComponents",
    platforms: [
        .iOS(.v13)
    ],
    products: [
        // Products define the executables and libraries a package produces, and make them visible to other packages.
        .library(name: "WebIdSdkUiKitComponents", targets: ["WebIdSdkUiKitComponentsWrapper"]),
    ],
    dependencies: [
        // Dependencies declare other packages that this package depends on.
        .package(
            name: "WebIdIosSdk",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackages/webid-sdk-spm.git",
            .upToNextMinor(from: "11.0.0")
        ),
        .package(
            name: "WebIdUiKitComponents",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackages/webid-ui-components-spm.git",
            .upToNextMinor(from: "7.0.0")
        )
    ],
    targets: [
        .binaryTarget(
            name: "WebIdSdkUiKitComponents",
            url: "https://api.webid-solutions.de/releases/ios/xcframework/internal/de/webid-solutions/WebIdSdkUiKitComponents/9.0.0/WebIdSdkUiKitComponents.framework-v9.0.0.zip",
            checksum: "beb6a90103d205443571183e45af4ff81130daf06143119604b7a046c034fb73"
        ),
        .target(
            name: "WebIdSdkUiKitComponentsWrapper",
            dependencies: [
                .target(name: "WebIdSdkUiKitComponents"),
                // [target dependecies here]
                
                .product(name: "WebIdIosSdk", package: "WebIdIosSdk"),
                .product(name: "WebIdUiKitComponents", package: "WebIdUiKitComponents"),
            ]
        )
    ],
    swiftLanguageVersions: [SwiftVersion.v5]
)
